from pydantic import BaseModel
from typing import List


class ProcessCommandRequest(BaseModel):
    user_input: str


class ProcessCommandResponse(BaseModel):
    responses: List[str]
    # details: dict | None = None
